pskc_strerror(3)

NAME
pskc_strerror - API function

SYNOPSIS
#include <pskc.h>

const char * pskc_strerror(int err);

ARGUMENTS

int err
    error code, a pskc_rc value.

DESCRIPTION
Convert return code to human readable string explanation of the reason for the particular error code. This string can be used to output a diagnostic message to the user. This function is one of few in the library that can be used without a successful call to pskc_init().

RETURN VALUE
Returns a pointer to a statically allocated string containing an explanation of the error code err.

REPORTING BUGS
Report bugs to <oath-toolkit-help@nongnu.org>. libpskc home page: https://oath-toolkit.codeberg.page/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2009-2026 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.